com.intellectualcrafters.plot.util

## Class Metrics.Graph

- java.lang.Object
- - com.intellectualcrafters.plot.util.Metrics.Graph

- Enclosing class:
    Metrics

      public static class Metrics.Graph
      extends java.lang.Object

  Represents a custom graph on the website

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPlotter(Metrics.Plotter plotter)` Add a plotter to the graph, which will be used to plot entries
    `boolean` | `equals(java.lang.Object object)`
    `java.lang.String` | `getName()` Gets the graph's name
    `java.util.Set<Metrics.Plotter>` | `getPlotters()` Gets an unmodifiable set of the plotter objects in the graph
    `int` | `hashCode()`
    `protected void` | `onOptOut()` Called when the server owner decides to opt-out of BukkitMetrics while the server is running.
    `void` | `removePlotter(Metrics.Plotter plotter)` Remove a plotter from the graph

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the graph's name
      Returns:
        the Graph's name

    - #### addPlotter

          public void addPlotter(Metrics.Plotter plotter)

      Add a plotter to the graph, which will be used to plot entries
      Parameters:
        `plotter` - the plotter to add to the graph

    - #### removePlotter

          public void removePlotter(Metrics.Plotter plotter)

      Remove a plotter from the graph
      Parameters:
        `plotter` - the plotter to remove from the graph

    - #### getPlotters

          public java.util.Set<Metrics.Plotter> getPlotters()

      Gets an unmodifiable set of the plotter objects in the graph
      Returns:
        an unmodifiable `Set` of the plotter objects

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### onOptOut

          protected void onOptOut()

      Called when the server owner decides to opt-out of BukkitMetrics while the server is running.